<bugID>628049<Summary>Improve the hover styling of split menus in the Firefox menu</Summary><Description>Created attachment 506146
Screenshot showing current and desired styles for hovered menu item with sub-menus

With the new Firefox menu items with sub-menus open on hover behavior from bug 589146 the style for the hovered state is a bit off.  Instead of looking like a split button, they look like two buttons butted up against each other. 

Screenshot showing current and desired styles attached.</Description></bugID>